Bug 2049879 - [cinder-csi-driver operator] always report fake event continuously in openstack-cinder-csi-driver-operator log
Summary: [cinder-csi-driver operator] always report fake event continuously in opensta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.z
Assignee: Martin André
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 2049088
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-02 20:26 UTC by OpenShift BugZilla Robot
Modified: 2022-03-02 11:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Missing reclaimPolicy in the standard-csi storage class Consequence: cinder-csi-driver operator would continuously print StorageClassUpdated events in the logs Fix: set a default value for reclaimPolicy in the standard-csi storage class Result: cinder-csi-driver operator is no longer spamming the logs with StorageClassUpdated events
Clone Of:
Environment:
Last Closed: 2022-03-02 11:57:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openstack-cinder-csi-driver-operator pull 72 0 None open [release-4.7] Bug 2049879: Explicitly set default value for ReclaimPolicy 2022-02-07 14:13:37 UTC
Red Hat Product Errata RHBA-2022:0647 0 None None None 2022-03-02 11:57:41 UTC

Comment 1 ShiftStack Bugwatcher 2022-02-03 07:04:12 UTC
Removing the Triaged keyword because:
* the QE automation assessment (flag qe_test_coverage) is missing

Comment 4 Wei Duan 2022-02-16 06:45:27 UTC
Verified with 4.7.0-0.nightly-2022-02-15-161814
No such log any more.

Comment 7 errata-xmlrpc 2022-03-02 11:57:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.44 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:0647


Note You need to log in before you can comment on or make changes to this bug.